Subject: bug#1761: closed (Re: bug#1761: 23.0.60; Can't reach info nodes that aren't in TOC)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Feb 2012 21:44:03 +0000

Your bug report

#1761: 23.0.60; Can't reach info nodes that aren't in TOC

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
1761: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1761
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1761: 23.0.60; Can't reach info nodes that aren't in TOC
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 09 Feb 2012 16:42:32 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

David Abrahams wrote:

> This is arguably a feature request, but it seems so glaring that you
> might consider it a bug.  If I'm in an xterm and type `info dbus' I get
> a nice info session about emacs/dbus integration.  But there doesn't
> seem to be any way to visit the same page from within emacs using
> info-mode other than `M-: (info "dbus")'.  This seems needlessly
> inconvenient. 

Now you can use

M-x info-display-manual RET dbus RET

Subject: 23.0.60; Can't reach info nodes that aren't in TOC
From: David Abrahams <[email-masked]>
To: [email-masked]
Date: Fri, 02 Jan 2009 03:01:27 -0500

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

This is arguably a feature request, but it seems so glaring that you
might consider it a bug.  If I'm in an xterm and type `info dbus' I get
a nice info session about emacs/dbus integration.  But there doesn't
seem to be any way to visit the same page from within emacs using
info-mode other than `M-: (info "dbus")'.  This seems needlessly
inconvenient.  `C-u M-x info <RET> dbus <RET>' ought to get me to the
same node if there's no info file named "dbus" in the current working
directory.  Also, there should be some syntax to disambiguate:
`C-u M-x info <RET> :dbus <RET>' maybe

Thanks and regards,
Dave

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2008-12-12 on mcbain
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
configured using `configure  '--with-x-toolkit=gtk' '--prefix=/usr/local''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  show-paren-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  view-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p 
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-s l o k C-p 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n <end> M-< M-x i n f o C-g 
C-g C-u 1 M-x i n f o <tab> <return> C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-n C-n C-n C-p C-p C-p C-p C-p C-p C-p C-p 
<tab> <return> SPC SPC SPC SPC SPC <backspace> SPC 
SPC SPC SPC SPC SPC SPC SPC SPC <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <Info> <Go to Node...> 
d b u s <return> <backspace> <backspace> <tab> <tab> 
<backspace> <backspace> <tab> C-g C-g <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <menu-bar> <Info> <Reference> 
<Getting Started> <help-echo> <down-mouse-1> <mouse-1> 
q M-x x <backspace> I n f o <tab> h e l <tab> <return> 
C-n C-n C-n C-n C-n C-n C-p C-p C-p C-p C-p C-p C-p 
C-p C-. SPC SPC SPC q <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> <down-mouse-1> <mouse-1> M-x i n f o <tab> 
- b u <tab> <tab> <M-backspace> <M-backspace> I n f 
o <tab> - <backspace> b u <tab> <tab> C-g C-g M-x r 
e p <tab> p o <tab> <backspace> <backspace> o r <tab> 
<return>

Recent messages:
Mark saved where search started
Mark set [2 times]
Quit [2 times]
Composing main Info directory...done
uncompressing info.gz...done
Making completion list...
Quit [2 times]
uncompressing info.gz...done
Quit [2 times]
Making completion list...

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com